diff -ru doxygen-1.7.4-orig/Makefile.in doxygen-1.7.4/Makefile.in
--- doxygen-1.7.4-orig/Makefile.in	2011-07-25 18:33:47.000000000 +0200
+++ doxygen-1.7.4/Makefile.in	2011-07-25 18:33:59.000000000 +0200
@@ -44,7 +44,7 @@
 
 DATE=$(shell date "+%B %Y")
 
-MAN1DIR = man/man1
+MAN1DIR = share/man/man1
 
 install: doxywizard_install 
 	$(INSTTOOL) -d $(DESTDIR)/$(INSTALL)/bin
Only in doxygen-1.7.4: Makefile.in.orig
diff -ru doxygen-1.7.4-orig/addon/doxywizard/doxywizard.pro.in doxygen-1.7.4/addon/doxywizard/doxywizard.pro.in
--- doxygen-1.7.4-orig/addon/doxywizard/doxywizard.pro.in	2011-07-25 18:33:47.000000000 +0200
+++ doxygen-1.7.4/addon/doxywizard/doxywizard.pro.in	2011-07-25 18:38:01.000000000 +0200
@@ -6,7 +6,7 @@
 DESTDIR      = ../../bin
 TARGET       = 
 DEPENDPATH  += .
-INCLUDEPATH += .
+INCLUDEPATH += . @PREFIX@/include
 QT          += xml
 CONFIG      += $extraopts
 OBJECTS_DIR  = obj
@@ -14,10 +14,6 @@
 RCC_DIR      = rcc
 DEFINES     += QT_NO_CAST_FROM_ASCII QT_NO_CAST_TO_ASCII
 
-macx-g++ {
-  CONFIG += x86 ppc
-}
-
 # Input
 HEADERS     += doxywizard.h version.h expert.h config.h helplabel.h \
                inputbool.h inputstring.h inputint.h inputstrlist.h wizard.h
diff -ru doxygen-1.7.4-orig/configure doxygen-1.7.4/configure
--- doxygen-1.7.4-orig/configure	2011-07-25 18:33:47.000000000 +0200
+++ doxygen-1.7.4/configure	2011-07-25 18:33:59.000000000 +0200
@@ -559,7 +559,7 @@
     TMAKE_CXXFLAGS += -D_LARGEFILE_SOURCE
 EOF
 fi
-if test "$f_platform" = "macosx-uni-c++"; then
+if false; then
   if test -n "`ls /Developer/SDKs/MacOSX10.*.sdk 2>/dev/null`"; then
     mac_sdk=MacOSX10.4u.sdk
   fi
diff -ru doxygen-1.7.4-orig/qtools/qglobal.h doxygen-1.7.4/qtools/qglobal.h
--- doxygen-1.7.4-orig/qtools/qglobal.h	2011-07-25 18:33:47.000000000 +0200
+++ doxygen-1.7.4/qtools/qglobal.h	2011-07-25 18:43:24.000000000 +0200
@@ -89,7 +89,10 @@
 #  if !defined(MAC_OS_X_VERSION_10_6)
 #       define MAC_OS_X_VERSION_10_6 MAC_OS_X_VERSION_10_5 + 1
 #  endif
-#  if (MAC_OS_X_VERSION_MAX_ALLOWED > MAC_OS_X_VERSION_10_6)
+#  if !defined(MAC_OS_X_VERSION_10_7)
+#       define MAC_OS_X_VERSION_10_7 MAC_OS_X_VERSION_10_6 + 1
+#  endif
+#  if (MAC_OS_X_VERSION_MAX_ALLOWED > MAC_OS_X_VERSION_10_7)
 #    error "This version of Mac OS X is unsupported"
 #  endif
 #elif defined(MSDOS) || defined(_MSDOS) || defined(__MSDOS__)
Only in doxygen-1.7.4/qtools: qglobal.h.orig
Only in doxygen-1.7.4/qtools: qglobal.h.rej
diff -ru doxygen-1.7.4-orig/qtools/qtools.pro.in doxygen-1.7.4/qtools/qtools.pro.in
--- doxygen-1.7.4-orig/qtools/qtools.pro.in	2011-07-25 18:33:47.000000000 +0200
+++ doxygen-1.7.4/qtools/qtools.pro.in	2011-07-25 18:37:40.000000000 +0200
@@ -93,7 +93,7 @@
 		  qmutex_win32.cpp \
 		  qwaitcondition_win32.cpp
 
-INCLUDEPATH = .
+INCLUDEPATH = . @PREFIX@/include
 #TMAKE_CXXFLAGS += -DQT_NO_CODECS -DQT_LITE_UNICODE
 TMAKE_CXXFLAGS += -DQT_LITE_UNICODE
 win32:TMAKE_CXXFLAGS += -DQT_NODLL
diff -ru doxygen-1.7.4-orig/src/doxygen.pro.in doxygen-1.7.4/src/doxygen.pro.in
--- doxygen-1.7.4-orig/src/doxygen.pro.in	2011-07-25 18:33:47.000000000 +0200
+++ doxygen-1.7.4/src/doxygen.pro.in	2011-07-25 18:39:18.000000000 +0200
@@ -18,7 +18,7 @@
 CONFIG       =	console warn_on $extraopts
 HEADERS      =	doxygen.h 
 SOURCES      =	main.cpp 
-unix:LIBS                  += -L../lib -ldoxygen -ldoxycfg -lqtools -lmd5 -lpthread
+unix:LIBS                  += -L../lib -L@PREFIX@/lib -ldoxygen -ldoxycfg -lqtools -lmd5 -lpthread
 win32:INCLUDEPATH          += .
 win32-mingw:LIBS           += -L../lib -ldoxygen -ldoxycfg -lqtools -lmd5 -lpthread
 win32-msvc:LIBS            += qtools.lib md5.lib doxygen.lib doxycfg.lib shell32.lib iconv.lib
@@ -28,7 +28,7 @@
 win32:TMAKE_CXXFLAGS       += -DQT_NODLL
 win32-g++:LIBS             = -L../lib -ldoxygen -ldoxycfg -lqtools -lmd5 -liconv -lpthread
 win32-g++:TMAKE_CXXFLAGS   += -fno-exceptions -fno-rtti
-INCLUDEPATH                += ../qtools ../libmd5 .
+INCLUDEPATH                += ../qtools ../libmd5 . @PREFIX@/include
 DESTDIR                    =  ../bin
 TARGET                     =  doxygen
 unix:TARGETDEPS            =  ../lib/libdoxygen.a ../lib/libdoxycfg.a
diff -ru doxygen-1.7.4-orig/src/doxytag.pro.in doxygen-1.7.4/src/doxytag.pro.in
--- doxygen-1.7.4-orig/src/doxytag.pro.in	2011-07-25 18:33:47.000000000 +0200
+++ doxygen-1.7.4/src/doxytag.pro.in	2011-07-25 18:33:59.000000000 +0200
@@ -18,7 +18,7 @@
 CONFIG       =	console warn_on $extraopts
 HEADERS      =  logos.h version.h
 SOURCES      =	doxytag.cpp logos.cpp version.cpp 
-unix:LIBS                  += -L../lib -lqtools
+unix:LIBS                  += -L../lib -lqtools -L@PREFIX@/lib
 win32:INCLUDEPATH          += .
 win32-mingw:LIBS           += -L../lib -lqtools
 win32-msvc:LIBS            += qtools.lib shell32.lib 
@@ -26,6 +26,6 @@
 win32-borland:LIBS         += qtools.lib shell32.lib
 win32-borland:TMAKE_LFLAGS += -L..\lib -L$(BCB)\lib\psdk
 win32:TMAKE_CXXFLAGS       += -DQT_NODLL
-INCLUDEPATH                += ../qtools
+INCLUDEPATH                += ../qtools @PREFIX@/include
 OBJECTS_DIR                =  ../objects
 TARGET                     =  ../bin/doxytag
diff -ru doxygen-1.7.4-orig/src/libdoxycfg.pro.in doxygen-1.7.4/src/libdoxycfg.pro.in
--- doxygen-1.7.4-orig/src/libdoxycfg.pro.in	2011-07-25 18:33:48.000000000 +0200
+++ doxygen-1.7.4/src/libdoxycfg.pro.in	2011-07-25 18:33:59.000000000 +0200
@@ -20,7 +20,7 @@
 SOURCES      =	config.cpp configoptions.cpp portable.cpp portable_c.c
 win32:TMAKE_CXXFLAGS       += -DQT_NODLL
 win32-g++:TMAKE_CXXFLAGS   += -fno-exceptions -fno-rtti
-INCLUDEPATH                += ../qtools
+INCLUDEPATH                += ../qtools @PREFIX@/include
 win32:INCLUDEPATH          += .
 DESTDIR                    =  ../lib
 TARGET                     =  doxycfg
Only in doxygen-1.7.4/src: libdoxycfg.pro.in.orig
diff -ru doxygen-1.7.4-orig/src/libdoxygen.pro.in doxygen-1.7.4/src/libdoxygen.pro.in
--- doxygen-1.7.4-orig/src/libdoxygen.pro.in	2011-07-25 18:33:48.000000000 +0200
+++ doxygen-1.7.4/src/libdoxygen.pro.in	2011-07-25 18:40:40.000000000 +0200
@@ -248,9 +248,10 @@
 win32-msvc:TMAKE_CXXFLAGS  += -Zm200
 win32-g++:TMAKE_CXXFLAGS   += -fno-exceptions -fno-rtti
 linux-g++:TMAKE_CXXFLAGS    += -fno-exceptions -fno-rtti
-INCLUDEPATH                += ../qtools
+INCLUDEPATH                += ../qtools 
 #INCLUDEPATH                += ../libpng
 INCLUDEPATH                += ../libmd5
+INCLUDEPATH                += @PREFIX@/include
 win32:INCLUDEPATH          += .
 #win32-g++:INCLUDEPATH      = ../qtools /usr/include/libpng12 ../libmd5
 win32-g++:INCLUDEPATH      = ../qtools ../libmd5
diff -ru doxygen-1.7.4-orig/tmake/lib/macosx-uni-c++/tmake.conf doxygen-1.7.4/tmake/lib/macosx-uni-c++/tmake.conf
--- doxygen-1.7.4-orig/tmake/lib/macosx-uni-c++/tmake.conf	2011-07-25 18:33:48.000000000 +0200
+++ doxygen-1.7.4/tmake/lib/macosx-uni-c++/tmake.conf	2011-07-25 18:41:51.000000000 +0200
@@ -8,7 +8,7 @@
 CONFIG			= qt warn_on release
 
 TMAKE_CC		= cc
-TMAKE_CFLAGS		= -pipe -arch i386 -arch ppc 
+TMAKE_CFLAGS		= -pipe -arch x86_64
 TMAKE_CFLAGS_WARN_ON	= -Wall -W
 TMAKE_CFLAGS_WARN_OFF	=
 TMAKE_CFLAGS_RELEASE	= -O2
@@ -36,7 +36,7 @@
 
 TMAKE_LINK		= c++
 TMAKE_LINK_SHLIB	= c++
-TMAKE_LFLAGS		= -Wl,-search_paths_first -arch i386 -arch ppc 
+TMAKE_LFLAGS		= -Wl,-search_paths_first -arch x86_64
 TMAKE_LFLAGS_RELEASE	=
 TMAKE_LFLAGS_DEBUG	=
 TMAKE_LFLAGS_SHLIB	= -shared
